---@meta posix.dirent

---@class posix_dirent*
---@field version string
---@type posix_dirent*
local M = {}

---@param path? string
---@return table? dir
---@return string? errMsg
---@return integer? errno
function M.dir(path) end

---@param path? string
---@return fun():string? iterator
function M.files(path) end

return M
